Bug 586593 - [abrt] crash in mozplugger-1.12.1-7.fc12: Process /usr/bin/mozplugger-helper was killed by signal 11 (SIGSEGV)
[abrt] crash in mozplugger-1.12.1-7.fc12: Process /usr/bin/mozplugger-helper ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozplugger (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:2dd26b62fe44946edd6df21e2b7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 19:08 EDT by Fred Gottman
Modified: 2010-09-29 08:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-29 08:19:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.52 KB, text/plain)
2010-04-27 19:08 EDT, Fred Gottman
no flags Details

  None (edit)
Description Fred Gottman 2010-04-27 19:08:35 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: mozplugger-helper 140,1,10,0,0,0,0,0 'mplayer -really-quiet -nojoystick  \"$file\" </dev/null'
component: mozplugger
executable: /usr/bin/mozplugger-helper
kernel: 2.6.32.11-99.fc12.i686
package: mozplugger-1.12.1-7.fc12
rating: 4
reason: Process /usr/bin/mozplugger-helper was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

backtrace
-----
warning: core file may not match specified executable file.
Core was generated by `mozplugger-helper 140,1,10,0,0,0,0,0 mplayer -really-quiet -nojoystick  "$file"'.
Program terminated with signal 11, Segmentation fault.
#0  XCloseDisplay (dpy=0x0) at ClDisplay.c:57
57	ClDisplay.c: No such file or directory.
	in ClDisplay.c

Thread 1 (Thread 5642):
#0  XCloseDisplay (dpy=0x0) at ClDisplay.c:57
        ext = <value optimized out>
        i = <value optimized out>
#1  0x0804a311 in main (argc=3, argv=0xbfe2c354) at mozplugger-helper.c:1609
        app_argv = {0x804b3a6 "/bin/sh", 0x804b3ae "-c", 
          0xbfe2c649 "mplayer -really-quiet -nojoystick  \"$file\" </dev/null", 0x0, 0x3baff4 "|\255;", 0xbfe2c227 "", 0xbfe2c226 "", 
          0xbfe2c230 "X\302\342\277\200\243,", 
          0x2ca0c1 "\205\300uC\213U\354\071U\334v\033\203\302\001\211U\354\351r\377\377\377\017\266\320\060\300\211U\334\353\202\215\266", 0xbfe2c226 ""}
        loops = 1
        pid = 5643
        temp = 0
        x = 0
        y = 0
        i = <value optimized out>
From        To          Syms Read   Shared Object Library
0x005b0370  0x00641798  Yes (*)     /usr/lib/libX11.so.6
0x00260990  0x0036c4c0  Yes (*)     /lib/libc.so.6
0x006e1e80  0x006f0608  Yes (*)     /usr/lib/libxcb.so.1
0x003c1a60  0x003c2a88  Yes (*)     /lib/libdl.so.2
0x00228830  0x0023fd0f  Yes (*)     /lib/ld-linux.so.2
0x006d6a00  0x006d77f8  Yes (*)     /usr/lib/libXau.so.6
(*): Shared library is missing debugging information.
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
Comment 1 Fred Gottman 2010-04-27 19:08:37 EDT
Created attachment 409612 [details]
File: backtrace
Comment 2 Fred Gottman 2010-04-27 21:30:38 EDT
Package: mozplugger-1.12.1-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.farmville on facebook
2.
3.
Comment 3 Fred Gottman 2010-04-27 22:10:53 EDT
Package: mozplugger-1.12.1-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.farmville on facebook
2.
3.
Comment 4 Ngo Than 2010-04-28 02:56:25 EDT
there's a new version of mozplugger which should probably fix this crash. Could you please download and test it? thanks
http://koji.fedoraproject.org/koji/buildinfo?buildID=167974
Comment 5 Fred Gottman 2010-04-28 04:06:09 EDT
Package: mozplugger-1.12.1-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.farmville on facebook
2.
3.
Comment 6 Fred Gottman 2010-04-28 04:08:40 EDT
Package: mozplugger-1.12.1-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. using firefox. this happens once every 30 seconds...
Comment 7 Ngo Than 2010-05-01 16:42:10 EDT
there's a new version mozplugger-1.13.3-1.fc12 on http://koji.fedoraproject.org/koji/buildinfo?buildID=167974

it should fix this issue. could you please test it? thanks
Comment 8 Ngo Than 2010-09-29 08:19:11 EDT
it should be fixed in mozplugger-1.14.2-1.fc13 which will be available in f13-update-testing soon. Or you can download it from http://koji.fedoraproject.org/koji/buildinfo?buildID=189076

Note You need to log in before you can comment on or make changes to this bug.